summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2004-03-03 12:56:04 +0000
committerPeter Palfrader <peter@palfrader.org>2004-03-03 12:56:04 +0000
commitee3ed492eed23e5fd3d0888a1d9387108060db7c (patch)
tree9c8622c31737b5597948e927f1b66a6b4282990b /debian/patches
parent732ff6e27216127b0ee8ca431bac81a2a9a360ab (diff)
downloadtor-ee3ed492eed23e5fd3d0888a1d9387108060db7c.tar.gz
tor-ee3ed492eed23e5fd3d0888a1d9387108060db7c.zip
Always enable DataDirectory, requires dpatch
svn:r1222
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list1
-rwxr-xr-xdebian/patches/01_uncomment_datadirectory.dpatch37
2 files changed, 38 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
new file mode 100644
index 0000000000..01b8ba7779
--- /dev/null
+++ b/debian/patches/00list
@@ -0,0 +1 @@
+01_uncomment_datadirectory.dpatch
diff --git a/debian/patches/01_uncomment_datadirectory.dpatch b/debian/patches/01_uncomment_datadirectory.dpatch
new file mode 100755
index 0000000000..8f1081d5b9
--- /dev/null
+++ b/debian/patches/01_uncomment_datadirectory.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 01_uncomment_datadirectory.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/weasel/projects/tor/cvs/src/config/torrc.in cvs/src/config/torrc.in
+--- /home/weasel/projects/tor/cvs/src/config/torrc.in 2004-03-01 23:41:26.000000000 +0100
++++ cvs/src/config/torrc.in 2004-03-03 13:47:25.000000000 +0100
+@@ -11,7 +11,7 @@
+ ##################### Below is just for servers #####################
+
+ ## The directory for keeping all the keys/etc for this server
+-#DataDirectory @LOCALSTATEDIR@/lib/tor
++DataDirectory @LOCALSTATEDIR@/lib/tor
+
+ #Nickname moria # A unique handle for this server
+ #Address moria.seul.org # The fqdn for this server